## flatpak 1.16.0

=== debian/changelog ===
flatpak (1.16.0-2) unstable; urgency=medium

  * d/changelog: Fix Ubuntu version information in 1.15.91-1 changelog.
    Ubuntu 22.04 still needed .pkla files, it is only 24.04 that has
    caught up with upstream polkitd.
  * d/flathub.flatpakrepo, d/flatpak.examples:
    Provide the address and GPG key for Flathub
  * d/p/debian/system-helper-Set-Debian-s-canonical-home-directory-for-s.patch:
    Make the home directory from sysusers.d consistent with adduser

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Mar 2025 13:09:49 +0000

flatpak (1.16.0-1) unstable; urgency=medium

  * New upstream stable release
  * d/gbp.conf, d/watch: Track Flatpak 1.16.x for trixie
  * d/test.sh: Set a longer test timeout for non-x86 architectures.
    Some (perhaps all?) of the hppa buildds in Debian Ports are actually
    x86_64 machines emulating hppa with qemu, and the same might in
    principle be true for any other -ports architecture: there is no
    documented way to know this.
    Allowing 3x timeouts on x86 and 20x on other architectures has worked
    well for GLib, so do the same here.

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Jan 2025 19:11:42 +0000
