=== debian/changelog ===
flatpak (1.16.1-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2129958). Remaining changes:
    - Fix ppc64el autopkgtests (LP #2121039)
      Enriched the DEP-3 headers to point to upstream repo

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 27 Oct 2025 16:12:57 +0100

flatpak (1.16.1-3) unstable; urgency=medium

  * Fix <!nocheck> builds (Closes: #1116737)
    - d/control: Remove <!nocheck> annotation from fuse3.
      This is required unconditionally (even if not running tests)
      since 1.15.7 upstream, so that the build system can autodetect
      the distro's appropriate path to fusermount3 or fusermount.
    - d/control, d/rules: Tighten up handling of nocheck and noinsttest.
      The upstream build system checks for some programs that are required
      during testing whenever the tests are compiled. If we are under both
      the nocheck and noinsttest build profiles, don't compile the tests,
      so that pkcheck and socat won't be needed in that configuration;
      and otherwise, we need them in Build-Depends.
  * d/control: Remove Rules-Requires-Root, no longer needed since trixie
  * Normalize formatting with debputy

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Sep 2025 17:11:16 +0100

flatpak (1.16.1-2ubuntu1) questing; urgency=medium

  * Fix ppc64el autopkgtests (LP: #2121039)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 27 Aug 2025 18:36:38 +0200

flatpak (1.16.1-2) unstable; urgency=medium

  * d/copyright: Point to GNU web address instead of old FSF postal address
  * d/copyright: Clarify possible interpretations of LGPL-2
  * Stop build-depending on libgirepository1.0-dev.
    Build-depend on gobject-introspection (>= 1.80) instead.
    libgirepository1.0-dev is not multiarch-compatible and should be removed
    during the forky cycle.
  * d/control: Only require gtk-doc-tools, etc. if we are building documentation
  * Prefer the OpenSSL flavour of libcurl.
    This is the one that upstream is going to be testing with in practice.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Aug 2025 22:18:17 +0100

flatpak (1.16.1-1) unstable; urgency=medium

  * New upstream stable release
    - When using parental controls, child accounts can update existing
      apps by default
    - Make systemd scopes easier to match to Flatpak app instances
    - Access to --device=dri now includes /dev/udmabuf
    - Better error message for invalid parametrs to
      `flatpak-spawn --sandbox-a11y-own-name`
    - Speed up `flatpak prune --dry-run`
    - Speed up `flatpak permission-reset`
    - Add support for authenticating to OCI registries using TLS certs
      in /etc/containers/certs.d
    - Fix intermittent flatpak-portal crashes
    - Avoid an unnecessary confirmation prompt when
      `flatpak remove --unused` cleans up, for example, old Nvidia drivers
    - Don't propagate $PYTHONPYCACHEPREFIX from host into sandbox
    - Don't propagate $WAYLAND_DISPLAY, $WAYLAND_SOCKET from host into
      sandbox when access to the actual socket has been denied
    - Use $AT_SPI_BUS_ADDRESS to discover the AT-SPI bus, if set
    - Fix a memory leak while installing extra-data
    - Don't show fatal transaction errors twice
    - Fix the build with -Ddefault_library=static
    - Fix incorrect error reporting
    - Use more interoperable OSC escape sequences for FLATPAK_TTY_PROGRESS
      (this feature is still off by default)
    - Improve shell completion for `flatpak search`
    - Fix an unclear boolean expression (no functional change)
    - Avoid a duplicate redirection in the test suite
    - Translation updates
    - Documentation improvements
    - CI updates
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 12 May 2025 12:10:10 +0100
