=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

binaries := $(shell dh_listpackages)

%:
	dh $@ --buildsystem=meson

override_dh_autoreconf:

configure_options =

ifneq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
configure_options += -Ddocbook_docs=disabled
else
configure_options += -Ddocbook_docs=enabled
endif

ifneq ($(filter libflatpak-doc,$(binaries)),)
configure_options += -Dgtkdoc=enabled
else
configure_options += -Dgtkdoc=disabled
endif

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter %-tests,$(binaries)),nocheck)
configure_options += -Dinstalled_tests=false -Dtests=false
else
configure_options += -Dinstalled_tests=true -Dtests=true
endif

override_dh_auto_configure:
	rm -f app/parse-datetime.c
	dh_auto_configure -- \
		-Dauto_sideloading=false \
		-Ddbus_config_dir=/usr/share/dbus-1/system.d \
		-Dgdm_env_file=true \
		-Dhttp_backend=curl \
		-Dprivileged_group=sudo \
		-Drun_media_dir=/media \
		-Dselinux_module=disabled \
		-Dsystem_bubblewrap=bwrap \
		-Dsystem_dbus_proxy=xdg-dbus-proxy \
		-Dsystem_helper_user=_flatpak \
		-Dsystemdsystemunitdir=/usr/lib/systemd/system \
		$(configure_options)

override_dh_install:
	install -d debian/tmp/etc/X11/Xsession.d
	install -m644 debian/tmp/etc/profile.d/flatpak.sh \
		debian/tmp/etc/X11/Xsession.d/20flatpak
	dh_install

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(binaries)),)
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/*/*.so
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/test.sh
endif

override_dh_auto_test-indep:
	@:
