## flatpak 1.16.2

=== debian/changelog ===
flatpak (1.16.2-1~deb13u1) trixie; urgency=medium

  * d/control, d/gbp.conf: Use debian/trixie packaging branch
  * Summary of changes since trixie:
    - New upstream stable release, see 1.16.2-1 changelog
      (Closes: #1114484)
    - Fix FTBFS with DEB_BUILD_OPTIONS=nocheck
      (Closes: #1116737)
    - d/copyright: Point to GNU web address instead of old FSF postal
      address
    - d/copyright: Clarify possible interpretations of LGPL-2
  * Revert changes that are not appropriate for a stable update:
    - Revert "Prefer the OpenSSL flavour of libcurl"
    - Revert "d/control: Only require gtk-doc-tools, etc. if we are
      building documentation"
    - Revert "Stop build-depending on libgirepository1.0-dev"
    - Revert "d/control: Remove Rules-Requires-Root"
    - Revert "Normalize formatting with debputy"

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Dec 2025 17:15:35 +0000

flatpak (1.16.2-1) unstable; urgency=medium

  * New upstream stable release
    - Fix a memory leak in flatpak-session-helper when invoking host
      commands (flatpak-spawn --host) from privileged apps
      (Closes: #1114484)
    - Treat either the xe or i915 kernel module as indicating an Intel GPU,
      not just i915, and install the appropriate VA-API extensions
    - If using GLib 2.86.1 (specifically that version due to a regression
      that was later fixed), avoid exposing $HOME to apps if an XDG special
      directory such as Music is requested by the app but has been disabled
      locally
    - In flatpak-kill(1), make killing processes more robust, and avoid race
      conditions that could lead to the whole process group being killed
    - Allow `flatpak run` or `flatpak install --user` while under
      `sudo -u otheruser` or `sudo -g`, as long as the other user is not root,
      relaxing a check that was only intended to avoid accidents involving
      running as root
    - Provide an empty /run/host/font-dirs.xml during flatpak-build(1),
      avoiding spurious warnings for processes that use fontconfig during
      build-time tests
    - Fix a crash in `flatpak install --include-sdk` if the app is installed
      on a per-user basis but the corresponding SDK is already installed
      system-wide
    - Take the --reinstall option into account when installing a bundle
    - Add a missing argument to fcntl F_DUPFD_CLOEXEC during Flatpak's own
      build-time tests, fixing a test regression with newer glibc on Ubuntu
    - Fix flatpak-pin(1)/flatpak-mask(1) with multiple arguments, by
      reloading configuration when needed
    - Fix an assertion failure in flatpak-build-import-bundle(1)
    - When using the library API, allow http downloads with libcurl to be
      cancelled
    - If an OCI registry only has one image, allow the tag to be omitted
    - Fix a memory leak when using an OCI registry
    - Fix an uninitialized variable
    - Documentation improvements
    - Translation updates: pl
  * d/libflatpak-doc.install:
    Install single-file HTML documentation for the library.
    This was built by Autotools in 1.14.x and disappeared during the switch
    to Meson, but is now built again as a result of upstream fixes.

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Dec 2025 11:38:19 +0000
