=== debian/watch ===
Version: 5

# Upstream releases official tarballs, so we use those in preference to
# git tags
Source: https://github.com/@PACKAGE@/@PACKAGE@/tags
Matching-Pattern: .*/releases/tag/v?(1\.[0-9]*[24680]\.[0-9.]+)
Compression: xz
Download-URL-Mangle: s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#
Dversion-Mangle: s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?//;s/[+~](?:dfsg|ds)[0-9]*//
Filename-Mangle: s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#
Repack-Suffix: +ds
