## flatpak 1.17.2

=== meson_options.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 option(
   'dbus_config_dir',
   type : 'string',
-  description : 'directory for D-Bus system configuration [$sysconfdir/dbus-1/system.d]',
+  description : 'directory for D-Bus system configuration [$datadir/dbus-1/system.d]',
   value : '',
 )
 option(
@@ -56,13 +56,6 @@
   value : 'auto',
 )
 option(
-  'http_backend',
-  type : 'combo',
-  description : 'library used to implement HTTP',
-  choices : ['curl', 'soup'],
-  value : 'curl',
-)
-option(
   'installed_tests',
   type : 'boolean',
   description : 'install automated tests',
@@ -72,6 +65,12 @@
   'internal_checks',
   type : 'boolean',
   description : 'enable internal checking',
+  value : false,
+)
+option(
+  'internal_tests',
+  type : 'boolean',
+  description : 'include internal tests in binary',
   value : false,
 )
 option(
