=== debian/changelog ===
flatpak (1.17.2-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * d/rules: Stop overriding location for system bus setup snippets.
    The default is now what we want (below /usr).
  * d/rules: Remove obsolete http backend option.
    libcurl is now the only backend available.
  * d/libflatpak-doc.install:
    Install single-file HTML documentation for the library
  * d/libflatpak0.symbols: Update
  * d/control: Some unit tests now require curl(1), file(1), jq(1)
  * d/p/Tell-as-installed-tests-where-they-can-find-triggers.patch:
    Add proposed patch to fix autopkgtest regression in 1.17.0

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Dec 2025 15:53:54 +0000
