=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: flatpak
 Section: admin
+Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
@@ -14,10 +15,12 @@
  bison,
  bubblewrap (>= 0.10.0~),
  ca-certificates <!nocheck>,
+ curl <!nocheck>,
  dbus-daemon,
  desktop-file-utils <!nocheck>,
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
+ file <!nocheck>,
  fuse3,
  gir1.2-gio-2.0-dev,
  gir1.2-gobject-2.0-dev,
@@ -25,6 +28,7 @@
  gobject-introspection (>= 1.80),
  gtk-update-icon-cache <!nocheck>,
  hicolor-icon-theme <!nocheck>,
+ jq <!nocheck>,
  libappstream-dev (>= 0.12.0),
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
@@ -66,9 +70,9 @@
  gtk-doc-tools <!nodoc>,
  libglib2.0-doc <!nodoc>,
  libostree-doc <!nodoc>,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak.git
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
 X-Style: black
 
@@ -126,12 +130,15 @@
 Depends:
  attr,
  ca-certificates,
+ curl,
  dbus-daemon,
  desktop-file-utils,
+ file,
  flatpak (= ${binary:Version}),
  gnupg,
  gtk-update-icon-cache,
  hicolor-icon-theme,
+ jq,
  ostree (>= 2020.8),
  polkitd,
  shared-mime-info,
