=== debian/rules ===
--- 
+++ 
@@ -35,9 +35,7 @@
 	rm -f app/parse-datetime.c
 	dh_auto_configure -- \
 		-Dauto_sideloading=false \
-		-Ddbus_config_dir=/usr/share/dbus-1/system.d \
 		-Dgdm_env_file=true \
-		-Dhttp_backend=curl \
 		-Dprivileged_group=sudo \
 		-Drun_media_dir=/media \
 		-Dselinux_module=disabled \
