=== debian/watch ===
version=4
# Upstream releases official 'meson dist' tarballs, so we use
# those in preference to git tags
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/@PACKAGE@/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@
